Getexpirationwarnings
curl --request GET \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/expiration-warnings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/expiration-warnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/expiration-warnings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"reportId": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"warnings": [
{
"cardId": "<string>",
"cardNumber": "<string>",
"customerEmail": "<string>",
"customerName": "<string>",
"daysUntilExpiry": 123,
"warningLevel": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"balance": "<string>"
}
],
"count30d": 123,
"count60d": 123,
"count90d": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Cards
Getexpirationwarnings
GET
/
v2
/
giftcards
/
programs
/
{programId}
/
reports
/
expiration-warnings
Getexpirationwarnings
curl --request GET \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/expiration-warnings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/expiration-warnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/expiration-warnings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"reportId": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"warnings": [
{
"cardId": "<string>",
"cardNumber": "<string>",
"customerEmail": "<string>",
"customerName": "<string>",
"daysUntilExpiry": 123,
"warningLevel": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"balance": "<string>"
}
],
"count30d": 123,
"count60d": 123,
"count90d": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
